@phdthesis{Bardet:2004ec,
  author      = {Bardet, Magali},
  hal_id      = {tel-00449609},
  hal_version = {v1},
  keywords    = {Bases de Gr{\"o}bner ; algorithme F5 ; Codes correcteurs d'erreur
                 ; d{\'e}codage des codes cycliques ; analyse asymptotique ;
                 Fonction d'Airy},
  month       = Dec,
  pdf         = {https://tel.archives-ouvertes.fr/tel-00449609/file/these_Bardet.pdf},
  school      = {{Universit{\'e} Pierre et Marie Curie - Paris VI}},
  title       = {{{\'E}tude des syst{\`e}mes alg{\'e}briques surd{\'e}termin{\'e}s.
                 Applications aux codes correcteurs et {\`a} la cryptographie}},
  type        = {Theses},
  url         = {https://tel.archives-ouvertes.fr/tel-00449609},
  year        = {2004}
}

@inproceedings{Bardet:2005ab,
  address   = {Sardinia},
  author    = {Bardet, M and Faug{\`{e}}re, Jean-Charles and Salvy, B and Yang,
               Bo-Yin},
  booktitle = {MEGA'05},
  title     = {{Asymptotic Behaviour of the Degree of Regularity of Semi-Regular
               Polynomial Systems}},
  url       = {https://www.iis.sinica.edu.tw/papers/byyang/2396-F.pdf},
  venue     = {Porto Conte, Alghero},
  year      = {2005}
}

@article{Bardet:2013bs,
  author    = {Bardet, Magali and Faugère, Jean-Charles and Salvy, Bruno and
               Spaenlehauer, Pierre-Jean},
  doi       = {10.1016/j.jco.2012.07.001},
  issn      = {0885-064X},
  journal   = {Journal of Complexity},
  month     = {02},
  number    = {1},
  pages     = {53-75},
  publisher = {Elsevier BV},
  title     = {On the complexity of solving quadratic Boolean systems},
  url       = {http://dx.doi.org/10.1016/j.jco.2012.07.001},
  volume    = {29},
  year      = {2013}
}


@book{Cox:2012iv,
  author    = {Cox, David and Little, John and O'Shea, Donal},
  doi       = {10.1007/978-3-319-16721-3},
  edition   = {4},
  isbn      = {978-3-319-16720-6},
  pages     = {646},
  publisher = {Springer International Publishing},
  title     = {{Ideals, Varieties and Algorithms}},
  year      = {2012}
}

@inbook{Ding:2009a,
  address   = {Berlin, Heidelberg},
  author    = {Ding, Jintai and Yang, Bo-Yin},
  booktitle = {Post-Quantum Cryptography},
  doi       = {10.1007/978-3-540-88702-7_6},
  isbn      = {978-3-540-88702-7},
  pages     = {193--241},
  publisher = {Springer Berlin Heidelberg},
  title     = {{Multivariate Public Key Cryptography}},
  url       = {https://doi.org/10.1007/978-3-540-88702-7_6},
  year      = {2009}
}

@article{Faugere:1999af4,
  author    = {Faug{\`{e}}re, Jean-Charles},
  doi       = {10.1016/S0022-4049(99)00005-5},
  issn      = {0022-4049},
  journal   = {Journal of Pure and Applied Algebra},
  month     = {6},
  number    = {1-3},
  pages     = {61--88},
  publisher = {North-Holland},
  title     = {{A new efficient algorithm for computing Gr{\"{o}}bner bases (F4)}},
  url       = {https://www.sciencedirect.com/science/ARTICLE/pii/S0022404999000055},
  volume    = {139},
  year      = {1999}
}


@article{Faugere:2002f5,
  author  = {Faugère, Jean},
  doi     = {10.1145/780506.780516},
  isbn    = {1-58113-484-3},
  journal = {Proceedings of the International Symposium on Symbolic and
             Algebraic Computation, ISSAC},
  month   = {01},
  pages   = {75-83},
  title   = {{A new efficient algorithm for computing Gr\"obner bases without
             reduction to zero ($F_5$)}},
  year    = {2002}
}

@article{Faugere:2008hf5,
  author  = {Bettale, Luk and Faug\`ere, Jean-Charles and Perret, Ludovic},
  doi     = {10.1515/JMC.2009.009},
  edition = {5},
  journal = {Journal of Mathematical Cryptology},
  pages   = {177-197},
  title   = {{Hybrid Approach for Solving Multivariate Systems over Finite Fields}
             },
  volume  = {3},
  year    = {2008}
}

@article{Giesbrecht:1998cs,
  author   = {Giesbrecht, M and Lobo, A and Saunders, B D},
  doi      = {10.1145/281508.281591},
  isbn     = {1-58113-002-3},
  journal  = {Proceedings of the 1998 International Symposium on Symbolic and
              Algebraic Computation},
  keywords = {black box, finite field, linear system, sparse},
  pages    = {113--119},
  title    = {{Certifying Inconsistency of Sparse Linear Systems}},
  url      = {http://doi.acm.org/10.1145/281508.281591},
  year     = {1998}
}


@misc{Hodges:2014ex,
  archiveprefix = {arXiv},
  author        = {T. J. Hodges and S. D. Molina and J. Schlather},
  eprint        = {1412.7865},
  primaryclass  = {math.AC},
  title         = {On the Existence of Semi-Regular Sequences},
  year          = {2014}
}

@inbook{Courtois:2000xl,
  title = {Efficient Algorithms for Solving Overdefined Systems of Multivariate Polynomial Equations},
  ISBN = {9783540455394},
  ISSN = {0302-9743},
  url = {http://dx.doi.org/10.1007/3-540-45539-6_27},
  DOI = {10.1007/3-540-45539-6_27},
  booktitle = {Lecture Notes in Computer Science},
  publisher = {Springer Berlin Heidelberg},
  author = {Courtois,  Nicolas and Klimov,  Alexander and Patarin,  Jacques and Shamir,  Adi},
  year = {2000},
  pages = {392–407}
}

@article{Kipnis:1999us,
  author  = {Kipnis, Aviad and Patarin, Jacques and Goubin, Louis},
  doi     = {10.1007/3-540-48910-X\_15},
  isbn    = {3-540-65889-0},
  journal = {Advances in Cryptology — EUROCRYPT ’99},
  pages   = {206--222},
  title   = {{Unbalanced Oil and Vinegar Signature Schemes}},
  url     = {http://link.springer.com/10.1007/3-540-48910-X_15},
  year    = {1999}
}

@inproceedings{Lazard:1983gb,
  address   = {London, UK},
  author    = {Lazard, Daniel},
  booktitle = {{Proceedings of the European Computer Algebra Conference on
               Computer Algebra}},
  isbn      = {3-540-12868-9},
  pages     = {146--156},
  publisher = {Springer-Verlag},
  series    = {EUROCAL \'83},
  title     = {{Gr{\"{o}}bner-Bases, Gaussian Elimination and Resolution of Systems
               of Algebraic Equations}},
  url       = {http://dl.acm.org/citation.cfm?id=646657.700393},
  venue     = {London, UK},
  year      = {1983}
}

@inproceedings{Vitse:2017cb,
  author    = {Joux, Antoine and Vitse, Vanessa},
  booktitle = {{Number-Theoretic Methods in Cryptology}},
  doi       = {10.1007/978-3-319-76620-1_1},
  editor    = {Kaczorowski, Jerzy and Pieprzyk, Josef and Pomyka{\l}a, Jacek},
  isbn      = {978-3-319-76620-1},
  pages     = {3-21},
  publisher = {Springer International Publishing},
  title     = {{A Crossbred Algorithm for Solving Boolean Polynomial Systems}},
  venue     = {Warsaw, Poland},
  year      = {2017}
}